package com.njcn.oss.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2023年03月07日 22:58
 */
@Getter
public enum OssResponseEnum {
    /**
     * 文件服务器异常响应码的范围：
     * A00550 ~ A00649
     */
    UPLOAD_FILE_ERROR("A00551","上传文件服务器错误，请检查数据"),
    DOWNLOAD_FILE_URL_ERROR("A00554","下载文件URL不存在，请检查数据"),
    DOWNLOAD_FILE_STREAM_ERROR("A00555","文件服务器下载文件流为空"),
    DOWNLOAD_FILE_ERROR("A00556","文件服务器下载异常")

    ;

    private final String code;

    private final String message;

    OssResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
